org.gnome.gtk

## Class CellRendererProgress

- Object
- - org.freedesktop.bindings.Pointer
  - - org.freedesktop.bindings.Proxy
    - - org.gnome.glib.Object
      - - org.gnome.gtk.CellRenderer
        - - org.gnome.gtk.CellRendererProgress

-     public class CellRendererProgress
      extends CellRenderer

  Renderer a progress indicator similar to a ProgressBar in a TreeViewColumn.
  Since:
    4.0.12
  Author:
    Andrew Cowie, Serkan Kaba

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CellRendererProgress(CellLayout vertical)` Construct a new CellRendererPixbuf.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setText(DataColumnString column)` Indicate the DataColumn containing the plain text to render on the progress indicator.
    `void` | `setValue(DataColumnInteger column)` Indicate the DataColumn containing the percentage complete to show in the indicator.

    - ### Methods inherited from class org.gnome.gtk.CellRenderer

      `setAlignment, setBackground, setBackground, setVisible, setWidth`

    - ### Methods inherited from class org.freedesktop.bindings.Pointer

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CellRendererProgress

          public CellRendererProgress(CellLayout vertical)

      Construct a new CellRendererPixbuf.
      Since:
        4.0.17

  - ### Method Detail

    - #### setText

          public void setText(DataColumnString column)

      Indicate the DataColumn containing the plain text to render on the progress indicator. See ProgressBar's `setText()`.
      Since:
        4.0.12

    - #### setValue

          public void setValue(DataColumnInteger column)

      Indicate the DataColumn containing the percentage complete to show in the indicator.

      Percentage complete is expressed in the range of `0` to `100`.

      Note that for some reason this was not implemented in GTK like ProgressBar's fraction property, where percentage complete is expressed as a double between `0.0` and `1.0` !

      Since:
        4.0.12